MantisBT

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000474SoldatGameplaypublic2013-12-06 15:492013-12-09 15:19
ReporterSpiltCoffee 
Assigned ToSpiltCoffee 
PriorityhighSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
Platformx64OSWindowsOS Version7 SP1
Product Version1.6.6 
Target VersionFixed in Version1.6.7 
Summary0000474: When prone, firing the Spas-12 does not always cancel reloading
DescriptionFiring the Spas-12 while reloading is meant to interrupt the reloading. As a result, the player stops reloading after the bullet is fired and, unless the gun has zero ammo, the player has to start reloading again.

If the player is prone and reloading, firing at a specific time during the reload does not interrupt it.
Steps To Reproduce1. Go prone with a Spas-12
2. Fire at least two bullets
3. Start reloading
4. Just after the ammo count increases (say from 4 to 5), fire the gun.

If done right, the reloading animation will not be cancelled, and thus the next shell will be reloaded even before the fire interval delay is over.
TagsNo tags attached.
Attached Filesgif file icon pronespas.gif [^] (1,822,764 bytes) 2013-12-06 15:50

- Relationships

-  Notes
(0002058)
homerofgods (updater)
2013-12-08 01:40

I can confirm 1.6.6
Not hard to reproduce
(0002069)
SpiltCoffee (reporter)
2013-12-09 15:19

Fixed no longer able to simultaneously fire and reload Spas-12 while prone

- Issue History
Date Modified Username Field Change
2013-12-06 15:50 SpiltCoffee New Issue
2013-12-06 15:50 SpiltCoffee Status new => assigned
2013-12-06 15:50 SpiltCoffee Assigned To => SpiltCoffee
2013-12-06 15:50 SpiltCoffee File Added: pronespas.gif
2013-12-08 01:40 homerofgods Note Added: 0002058
2013-12-09 15:19 SpiltCoffee Note Added: 0002069
2013-12-09 15:19 SpiltCoffee Status assigned => resolved
2013-12-09 15:19 SpiltCoffee Fixed in Version => 1.6.7
2013-12-09 15:19 SpiltCoffee Resolution open => fixed


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker